For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Merchant

Retrieve merchant details based on a given merchant_id.

Merchant PII (name, email, etc.) is masked on this endpoint. If a merchant has forgotten what email they created their account under, you can view a masked version of their email on the Connection Health screen to help jog their memories. Ex. j*****e@example.com

Get Merchant

get
Path parameters
merchant_idinteger · int32Required
Query parameters
app_idinteger · int32Optional
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Responses
default

default response

application/json

Retailer selling goods

idinteger · int32Optional
merchant_namestring · min: 1 · max: 191Required

The name of the merchants business

emailstringRequired

The Merchants unique email address

user_idinteger · int64Required

The Id of the User who owns this Merchant Account

platformstring · enumRequired

The eCommerce platform this merchant uses

Possible values:
platform_planstringOptional

The eCommerce platform plan of the store

store_urlstringOptional

The URL of the Store

custom_store_urlstringOptional

The custom URL of the Store

verifiedbooleanOptionalDeprecated

If a user has verified their email address. Deprecated (not used will always be false)

statusstring · enumOptional

The status of the merchant

Possible values:
default_currencystringOptional

The default currency used by merchant

default_country_codestringOptional

The default country of origin of merchant

default_state_codestringOptional

The default state / province of origin of merchant

default_language_codestringOptional

The default language used by merchant

commission_ratenumber · doubleOptional

The default commission rate of the merchant

date_createdstring · date-timeOptional

Date of creation

date_last_modifiedstring · date-timeOptional

Date of last update

external_idstringOptional

ID of the Merchant on Ecommerce Platform

distribution_typestring · enumOptional

Determines if the merchants products are available to all apps or only available to apps of their choosing

Possible values:
default_weight_unitstring · enumOptional

Default Unit of Weight in the Merchants Store

Possible values:
default_size_unitstring · enumOptional

Default Unit of Size in the Merchants Store

Possible values:
referral_sourcestring · enumOptional

Source of the merchant referral

Possible values:
logostringOptional

URL of the merchants logo

categorystring · enumOptional

Merchant Category

Possible values:
featuredbooleanOptionalDeprecated

Featured Merchant. Deprecated (not used)

connection_statusstring · enumOptionalDeprecated

If a developers application has access to this merchant. Deprecated (not reliable) use connection health endpoint instead.

Possible values:
shipping_configuredbooleanOptionalDeprecated

The shipping status of the merchant. Deprecated (not reliable)

taxes_configuredbooleanOptionalDeprecated

The tax status of the merchant. Deprecated (not reliable)

defaultbooleanOptional

Is this a Users default merchant

merchantDisabledbooleanOptional
billing_configuredbooleanOptionalDeprecated

The billing status of the merchant. Deprecated (not reliable) use connection health endpoint instead.

get/merchants/{merchant_id}
GET /v1/merchants/{merchant_id} HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Accept: */*
default

default response

{
  "id": 1,
  "merchant_name": "text",
  "email": "text",
  "user_id": 1,
  "platform": "OTHER",
  "platform_plan": "text",
  "store_url": "text",
  "custom_store_url": "text",
  "status": "INACTIVE",
  "default_currency": "text",
  "default_country_code": "text",
  "default_state_code": "text",
  "default_language_code": "text",
  "commission_rate": 1,
  "date_created": "2026-01-01T00:00:00.000Z",
  "date_last_modified": "2026-01-01T00:00:00.000Z",
  "external_id": "text",
  "distribution_type": "PUBLIC",
  "default_weight_unit": "INCHES",
  "default_size_unit": "INCHES",
  "referral_source": "VIOLET",
  "logo": "text",
  "category": "OTHER",
  "default": true,
  "merchantDisabled": true
}

Last updated

Was this helpful?